Skip to main content
POST
Add a configuration

Authorizations

Authorization
string
header
required

All requests to the Cortex API need to provide an Authorization: Bearer <token> header, where <token> is an API key created in the Settings page of your workspace.

Body

application/json
alias
string
required
apiKey
string
required
isDefault
boolean
required
categories
enum<string>[]

Categories for this configuration. Defaults to incident management and on-call.

Categories for this configuration. Defaults to incident management and on-call.

Available options:
AI,
CI_CD,
CLOUD_INFRASTRUCTURE,
CODE_QUALITY,
COMMUNICATION,
ERROR_TRACKING,
FEATURE_MANAGEMENT,
INCIDENT_MANAGEMENT,
OBSERVABILITY,
ON_CALL,
PROJECT_MANAGEMENT,
SECURITY,
TEAMS,
VERSION_CONTROL,
ITSM
webhookSecret
string

Secret that signs Rootly webhook requests

Response

OK

configurations
object[]
required